OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.FramebufferSRGB

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetARBFramebufferSRGB :: MonadIO m => m Bool
- gl_ARB_framebuffer_sRGB :: Bool
- pattern GL_FRAMEBUFFER_SRGB :: GLenum

# Extension Support

glGetARBFramebufferSRGB :: MonadIO m => m Bool Source #

Is the ARB_framebuffer_sRGB extension supported?

gl_ARB_framebuffer_sRGB :: Bool Source #

Is the ARB_framebuffer_sRGB extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBFramebufferSRGB` in those cases instead.

# Enums

pattern GL_FRAMEBUFFER_SRGB :: GLenum Source #